Tech Support Guy banner
Status
Not open for further replies.
1 - 11 of 11 Posts

·
Registered
Joined
·
501 Posts
Discussion Starter · #1 ·
I want to try the free Adobe Acrobat Reader, but the one offered on the website for free is 7.0, and it says the system requirements are systems other than what I have, which is a Win98SE. What can I do? Does anyone know if I try to put the Acrobat Reader 7.0 on, if it will not work on my Win98SE? Does anyone have a suggestion. Can I still get a version 6.0? What websites have these downloads?
 

·
Registered
Joined
·
501 Posts
Discussion Starter · #3 ·
thanks for the website link, but when I go there and click on the 6.0.2 version, I get a list of lang choices, non of them being North American English. What now? Help.
 

·
Registered
Joined
·
501 Posts
Discussion Starter · #7 ·
Double Helix, I clicked on "latest versions". I then have to choose a language, and the ones that say "English" are listed as 'English (central European) for Wndows', and 'English (Middle Eastern) for Wndows'. Since those are my only choices, which do I pick. There are no just plain English, or 'English (north American)'. So what do you think Double Helix. Which one? Go to the site and click on "latest versions", maybe I'm just not seeing what you say is there. Thanks for your time. :eek:)
 

·
Retired Trusted Advisor
Joined
·
19,786 Posts
When you go to Adobe's site to download reader, it asks you what OS you are running first. If you are running Win9X, it will download version 5. I just did this the other day.
 
1 - 11 of 11 Posts
Status
Not open for further replies.
Top